ON_BezierCageMorph Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_bezier.h>`

Inheritance diagram for ON_BezierCageMorph:

## Public Member Functions

| ON_BezierCageMorph ()
| ~ON_BezierCageMorph ()
bool | Create (ON_3dPoint P0, ON_3dPoint P1, ON_3dPoint P2, ON_3dPoint P3, int point_countX, int point_countY, int point_countZ)
bool | SetXform (ON_Xform world2unitcube)
bool | SetBezierCage (ON_BezierCage &unitcube2world)
const ON_Xform & | WorldToUnitCube () const
const ON_BezierCage & | BezierCage () const
bool | Read (ON_BinaryArchive &archive)
bool | Write (ON_BinaryArchive &archive) const
bool | Transform (const ON_Xform &xform)
Public Member Functions inherited from ON_SpaceMorph
| ON_SpaceMorph ()
virtual | ~ON_SpaceMorph ()
virtual bool | IsIdentity (const ON_BoundingBox &bbox) const
double | Tolerance () const
void | SetTolerance (double tolerance)
bool | QuickPreview () const
void | SetQuickPreview (bool bQuickPreview)
bool | PreserveStructure () const
void | SetPreserveStructure (bool bPreserveStructure)

## Detailed Description

Definition at line 1802 of file opennurbs_bezier.h.

## Constructor & Destructor Documentation

## ON_BezierCageMorph()

ON_BezierCageMorph::ON_BezierCageMorph | ( |  | ) |

## ~ON_BezierCageMorph()

ON_BezierCageMorph::~ON_BezierCageMorph | ( |  | ) |

## Member Function Documentation

## BezierCage()

const ON_BezierCage& ON_BezierCageMorph::BezierCage | ( |  | ) | const

## Create()

bool ON_BezierCageMorph::Create | ( | ON_3dPoint | P0,
|  | ON_3dPoint | P1,
|  | ON_3dPoint | P2,
|  | ON_3dPoint | P3,
|  | int | point_countX,
|  | int | point_countY,
|  | int | point_countZ
| ) |  |

## Read()

bool ON_BezierCageMorph::Read | ( | ON_BinaryArchive & | archive | ) |

## SetBezierCage()

bool ON_BezierCageMorph::SetBezierCage | ( | ON_BezierCage & | unitcube2world | ) |

## SetXform()

bool ON_BezierCageMorph::SetXform | ( | ON_Xform | world2unitcube | ) |

## Transform()

bool ON_BezierCageMorph::Transform | ( | const ON_Xform & | xform | ) |

## WorldToUnitCube()

const ON_Xform& ON_BezierCageMorph::WorldToUnitCube | ( |  | ) | const

## Write()

bool ON_BezierCageMorph::Write | ( | ON_BinaryArchive & | archive | ) | const

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_bezier.h